![GitHub release (latest SemVer)](https://img.shields.io/github/v/release/carissalow/rapids?style=plastic)
[![Snakemake](https://img.shields.io/badge/snakemake-≥5.7.1-brightgreen.svg?style=flat)](https://snakemake.readthedocs.io)
[![Documentation Status](https://github.com/carissalow/rapids/workflows/docs/badge.svg)](https://www.rapids.science/)
![tests](https://github.com/carissalow/rapids/workflows/tests/badge.svg)
[![Contributor Covenant](https://img.shields.io/badge/Contributor%20Covenant-v2.0%20adopted-ff69b4.svg)](code_of_conduct.md) 

# RAPIDS

**R**eproducible **A**nalysis **Pi**peline for **D**ata **S**treams

For more information refer to our [documentation](http://www.rapids.science)

By [MoSHI](https://www.moshi.pitt.edu/), [University of Pittsburgh](https://www.pitt.edu/)

## Installation 

For RAPIDS installation refer to to the [documentation](https://www.rapids.science/1.8/setup/installation/)

## CalculatingFeatures

This RAPIDS extension uses CalculatingFeatures library accessible [here](https://repo.ijs.si/matjazbostic/calculatingfeatures).

To use CalculatingFeatures library:
- Follow the installation instructions in the [README.md](https://repo.ijs.si/matjazbostic/calculatingfeatures/-/blob/master/README.md).

- Copy built calculatingfeatures folder into the RAPIDS workspace.

- Install the CalculatingFeatures package by:
    ```
	pip install "path/to/the/calculatingfeatures/folder"
    You can then delete the folder after the package is installed.
    CalculatingFeatures package has to be built and installed everytime to get the newest version.
    ```